# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.478   -> 1.479  
#	drivers/usb/net/pegasus.c	1.30    -> 1.31   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/07/26	ahaas@neosoft.com	1.479
# [PATCH] designated initializer patch for drivers_usb_net_pegasus.c
# 
#   Here's a patch for additional designated initializers for
#   drivers/usb/net/pegasus.c. Patch is against 2.5.27.
# --------------------------------------------
#
diff -Nru a/drivers/usb/net/pegasus.c b/drivers/usb/net/pegasus.c
--- a/drivers/usb/net/pegasus.c	Fri Jul 26 13:48:09 2002
+++ b/drivers/usb/net/pegasus.c	Fri Jul 26 13:48:09 2002
@@ -62,7 +62,7 @@
 
 static struct usb_eth_dev usb_dev_id[] = {
 #define	PEGASUS_DEV(pn, vid, pid, flags)	\
-	{name:pn, vendor:vid, device:pid, private:flags},
+	{.name = pn, .vendor = vid, .device = pid, .private = flags},
 #include "pegasus.h"
 #undef	PEGASUS_DEV
 	{NULL, 0, 0, 0}
@@ -70,7 +70,7 @@
 
 static struct usb_device_id pegasus_ids[] = {
 #define	PEGASUS_DEV(pn, vid, pid, flags) \
-	{match_flags: USB_DEVICE_ID_MATCH_DEVICE, idVendor:vid, idProduct:pid},
+	{.match_flags = USB_DEVICE_ID_MATCH_DEVICE, .idVendor = vid, .idProduct = pid},
 #include "pegasus.h"
 #undef	PEGASUS_DEV
 	{}
